Subject: Re: bug#47092: Icecat sandbox causes issues with fonts in --pure env

From: zimoun <[email-masked]>
Date: Fri, 12 Mar 2021 11:21:38 +0100

Hi,

For discussion, please CC the bug.

On Fri, 12 Mar 2021 at 10:14, Martin <[email-masked]> wrote:
> Hi Simon,
> no it doesn't help in this case and in general eolie package seems to be 
> broken because it doesn't work even with the simple 'guix environment 
> --ad-hoc eolie --  eolie':

The manual example is:

--8<---------------cut here---------------start------------->8---
guix environment --preserve='^DISPLAY$' --container --network \
  --expose=/etc/machine-id \
  --expose=/etc/ssl/certs/ \
  --share=$HOME/.local/share/eolie/=$HOME/.local/share/eolie/ \
  --ad-hoc eolie nss-certs dbus --  eolie
--8<---------------cut here---------------end--------------->8---

from <https://guix.gnu.org/manual/devel/en/guix.html#Invoking-guix-environment>

Does it not work for you?

Then it should be adapted for your use-case.

All the best,
simon